package ajcon.custom.util.elements;

import ajcon.custom.util.groups.CStmt;
import java.util.ArrayList;
import java.util.List;

public class CBinaryExpr extends CStmt{

    private List<CStmt> CStmt;
    private String op;

    public CBinaryExpr()
    {
        op = null;
        CStmt = new ArrayList<CStmt>(2);
    }

    public String getOp() {
        return op;
    }

    public void setOp(String op) {
        this.op = op;
    }

    public List<CStmt> getCStmt() {
        return CStmt;
    }

    public void setCStmt(List<CStmt> CStmt) {
        this.CStmt = CStmt;
    }

    public void addCStmt(CStmt e)
    {
        CStmt.add(e);
    }

}
